Console.WriteLine("Unesi prvi broj.");
int X = Int32.Parse(Console.ReadLine());
Console.WriteLine("Uneti drugi broj.");
int Y = Int32.Parse(Console.ReadLine());
int max;
int i = 10;
Int64 j = 1;
Int64 broj=0;
int cX;
int cY;
if (X<Y)
{
    max = Y;
}
else
{
    max = X;
}
while (max>=1)
{
    cX = X % i;
    cY = Y % i;
    if (cX > cY)
    {
        broj += cX * j;
    }
    else if (cX == cY)
    {
        broj += cX * j + cY * (j * 10);
        j *= 10;
    }
    else
    {
        broj += cY * j;
    }
    j *= 10;
    X /= 10;
    Y /= 10;
    max /= 10;
}
Console.WriteLine("Konacan broj je:");
Console.WriteLine(broj);